How to update Moondust (formerly PGE) Devkit in SMBX2 (Beta 4 and Beta3)

Description: Report bugs and ask questions regarding Moondust and libraries here.
Forum rules: Here you can ask any question related to Moondust Project (former PGE Project) components:


Any questions related to SMBX2 project and LunaLua library please ask HERE (SMBX2 subsection)
Any questions related to SMBX-38A (1.4.x) Chinese project please ask HERE (SMBX-38A subsection)
Any questions related to TheXTech Project please ask HERE (Vanilla SMBX and TheXTech subsection)
Moderators: Moderators, Semi-moderatos

Wohlstand M
Topic author, Lead Developer
Lead Developer
Avatar
Wohlstand M
Topic author, Lead Developer
Lead Developer
Age: 32
Reputation: 512
Posts: 1835
Joined: 15 Feb 2014
English Pronouns: he/him
Location: Moscow, Russia
Website Youtube channel URL Skype Tencent QQ

Post #1by Wohlstand » 19 Apr 2017, 1:41

The good news for everyone who wants to easily upgrade the Moondust Devkit copy which is pre-included with SMBX2 Beta3 or Beta4, without having any troubles!

NOTE: Before starting any updates, after the closing of Moondust Editor and any other Moondust-related applications, please open the task manager and kill any "pge_editor.exe" and "smbx.exe" you will find in the processes list. It's there a bug that keeps crashed apps in the processes list that will prevent you from correctly updating it.

IMPORTANT NOTE 2022-2023: There is API version has been changed because of the integrational configuration packages system major rework. You may encounter several problems after the update. See the explanation at the bottom of this post on how to fix the work of Moondust Devkit after the update.

IMPORTANT NOTE 2024: Since the Beta5, the SMBX2 project starts to use the modified fork of the Moondust Devkit which is not maintained by the Official Moondust Team, and therefore, the Official Moondust Devkit will support the SMBX2 project up to Beta4.

SMBX X2 Beta4 - Automatical way (A small script will update Moondust Project in one run for you)

  • Step 1. Open data/PGE folder in your file manager
  • Step 2. Close Editor and other apps (such as Maintainer, Engine, MusPlayer, and Playable Calibrator) until start updating
  • Step 3. Run the "update-pge.cmd" (or just "update-pge" if the extension showing is disabled) file: must appear the black console window with a greeting, and to start the update, just hit any key and wait update completing. On a UNIX-like operating system you are able to run this script with Wine CMD. Native Linux or Mac OS X Moondust Devkit build also can be used, but the LunaTester feature which is required for a current version of SMBX 2.0 will not work.
  • Epilogue. In next time if you want to update Moondust Devkit, just run update-pge.cmd again.

Note: Be aware of antivirus false positives, they may detect wget and/or unzip executables as viruses. They are required by the update process.

SMBX X2 Beta4 - Manual way (When the script is not able to download anything, you can do everything yourself)
If you can't use automatize script, you are able to update Moondust Devkit manually:
  • Download Moondust Devkit archive (let's call it as Archive1): https://builds.wohlsoft.ru/win32/bin-w64/_packed/pge-project-master-win64.zip
  • Unpack contents of Archive1's "PGE_Project" folder into data/PGE folder and confirm replacing of all files in it
  • Try to launch data/PGE/pge_editor.exe to be sure it starts with no errors and config pack status doesn't report any errored resources.
  • Profit!

SMBX2 Beta 3 manual
SMBX X2 Beta3 - Automatical way

SMBX X2 Beta3 has no update script included, so, there is a possibility that you should obtain it manually:

Before to start the process, check the existence of data/PGE/update-pge.cmd file in your SMBX installation.
If it already exists, skip all 4 steps and begin the process from the Step 5.

  • Step 1. Download this archive https://wohlsoft.ru/projects/Moondust/_laboratory/PGE-Updater-For-SMBX-2.0.zip
  • Step 2. Unpack contents of downloaded archive into data/PGE/ folder of your SMBX2 folder
  • Step 3. Open data/PGE folder in your file manager
  • Step 4. Close Editor and other apps (such as Maintainer, Engine, MusPlayer, and Playable Calibrator) until start updating
  • Step 5. Run the "update-pge.cmd" (or just "update-pge" if the extension showing is disabled) file: must appear the black console window with a greeting, and to start the update, just hit any key and wait update completing. On a UNIX-like operating system you are able to run this script with Wine CMD. Native Linux or Mac OS X Moondust Devkit build also can be used, but the LunaTester feature which is required for a current version of SMBX 2.0 will not work.
  • Epilogue. In next time if you want to update Moondust Devkit, just run update-pge.cmd again.

Note: Be aware of antivirus false positives, they may detect wget and/or unzip executables as viruses. They are required by the update process.

SMBX X2 Beta3 - Manual way
If you can't use automatize script, you are able to update Moondust Devkit manually:

Resolve the post-update API version problem (2022).
After update running, you should perform additional steps to fix the runtime:
  • Ensure that the data/PGE/configs/SMBX2 Integration/configure.js file does not exist at SMBX2 installation. If it exists, remove it.
  • Edit the data/PGE/configs/SMBX2 Integration/main.ini file and change the "api-version=41" value into "api-version=42"

After you did these steps, Moondust Editor should work normally.

Good Luck! ;-)

P.S> To update the standalone package of the Moondust Project, just use the latest Online Installer!

P.P.S. Archive of outdated notes
There are outdated notes, archived for historiclal purposes:


IMPORTANT: Since May 13, 2019, to get LunaTester work, you need to have the LunaLoader-exec be placed into your SMBX2's "data" folder!
Otherwise, LunaTester WILL NOT WORK!

EDIT: LunaLoader-exec module is now pre-included with the latest Moondust Project toolchain, you are no longer required to install it manually.
Image


Wohlstand M
Topic author, Lead Developer
Lead Developer
Avatar
Wohlstand M
Topic author, Lead Developer
Lead Developer
Age: 32
Reputation: 512
Posts: 1835
Joined: 15 Feb 2014
English Pronouns: he/him
Location: Moscow, Russia
Website Youtube channel URL Skype Tencent QQ

Post #3by Wohlstand » 15 Jul 2018, 17:39

JamesMyth wrote:https://ftp.gnu.org/gnu/wget/?C=D;O=A
You don't need to download WGet from here as there are source codes tarballs. The pre-built WGet is pre-included with "PGE-Updater-For-SMBX-2.0.zip" archive that is referred here in main post.
Image

Wohlstand M
Topic author, Lead Developer
Lead Developer
Avatar
Wohlstand M
Topic author, Lead Developer
Lead Developer
Age: 32
Reputation: 512
Posts: 1835
Joined: 15 Feb 2014
English Pronouns: he/him
Location: Moscow, Russia
Website Youtube channel URL Skype Tencent QQ

Post #4by Wohlstand » 13 May 2019, 13:07

Since May 13, 2019, to get LunaTester work, you need to have the LunaLoader-exec be placed into your SMBX2's "data" folder! Otherwise, LunaTester will not work!

Also good news: LunaTester is now able to work with 64-bit Windows build of PGE Editor and also is able to work with native Linux and macOS build of PGE Editor and run LunaTester through Wine that is installed into the system!
Image

Wohlstand M
Topic author, Lead Developer
Lead Developer
Avatar
Wohlstand M
Topic author, Lead Developer
Lead Developer
Age: 32
Reputation: 512
Posts: 1835
Joined: 15 Feb 2014
English Pronouns: he/him
Location: Moscow, Russia
Website Youtube channel URL Skype Tencent QQ

Post #5by Wohlstand » 14 May 2020, 15:03

Forgot to announce:
Since some weeks ago, LunaLoader-exec module (required for LunaTester work) is now pre-included with the latest Moondust Devkit toolchain, you no longer required to install it manually.
Image

Wohlstand M
Topic author, Lead Developer
Lead Developer
Avatar
Wohlstand M
Topic author, Lead Developer
Lead Developer
Age: 32
Reputation: 512
Posts: 1835
Joined: 15 Feb 2014
English Pronouns: he/him
Location: Moscow, Russia
Website Youtube channel URL Skype Tencent QQ

Post #6by Wohlstand » 15 Jun 2022, 23:16

Just now I updated the main post to add the important notice about the API version problem and how to solve it after the update.
Image

Yingchun Soul M
Viscount
Viscount
Avatar
Yingchun Soul M
Viscount
Viscount
Age: 26
Reputation: 99
Posts: 373
Joined: 14 Nov 2014
English Pronouns: he / him
Location: China
Website

Post #7by Yingchun Soul » 4 Feb 2024, 17:46

This is no longer supported for B5+...
迎春心情 (迎春心语 Alt.) in Chinese
Alt. nickname: "Elf of Happy and Love / 快乐爱的小精灵"

Check out my 2D Platform / TheXTech Assets:
Fairy Tale World
Nostalgic Paradise
Third Returns (Hiatus)

迎春花的精灵啊,请赋予我无尽的爱和指引,让每一座城在光明中重生,将大自然的力量和爱的力量集于一身吧!魔法凝结!

Wohlstand M
Topic author, Lead Developer
Lead Developer
Avatar
Wohlstand M
Topic author, Lead Developer
Lead Developer
Age: 32
Reputation: 512
Posts: 1835
Joined: 15 Feb 2014
English Pronouns: he/him
Location: Moscow, Russia
Website Youtube channel URL Skype Tencent QQ

Post #8by Wohlstand » 4 Feb 2024, 20:01

Yingchun Soul wrote:This is no longer supported for B5+...
The Beta5 do have the same algorithm of installing updates of Devkit, but, the Devkit for SMBX2 is no longer maintained by Official Moondust Team since Beta5. The official Moondust Devkit drops the official support of SMBX2 since this condition. However, the support for SMBX2 up to Beta4 will be supported for the backward compatibility.
Image


Return to “Troubleshooting”

Who is online (over the past 5 minutes)

Users browsing this forum: 1 guest